![Atomico](https://raw.githubusercontent.com/atomicojs/atomico/brand/h1.svg)
![Atomico](https://raw.githubusercontent.com/atomicojs/atomico/brand/h2.svg)

[![twitter](https://raw.githubusercontent.com/atomicojs/docs/master/.gitbook/assets/twitter.svg)](https://twitter.com/atomicojs)
[![discord](https://raw.githubusercontent.com/atomicojs/docs/master/.gitbook/assets/discord.svg)](https://discord.gg/7z3rNhmkNE)
[![documentation](https://raw.githubusercontent.com/atomicojs/docs/master/.gitbook/assets/doc-1.svg)](https://atomico.gitbook.io/doc/)
[![discord](https://raw.githubusercontent.com/atomicojs/docs/master/.gitbook/assets/doc.svg)](https://webcomponents.dev/create/atomico)

[![npm](https://badgen.net/npm/v/atomico)](http://npmjs.com/atomico)
[![gzip](https://badgen.net/bundlephobia/minzip/atomico)](https://bundlephobia.com/result?p=atomico)

## Atomico simplifies learning, workflow and maintenance when creating webcomponents.

1. **Scalable and reusable interfaces**: with Atomico the code is simpler and you can apply practices that facilitate the reuse of your code.
2. **Open communication**: with Atomico you can communicate states by events, properties or methods.
3. **Agnostic**: your custom element will work in any web-compatible library, eg React, Vue, Svelte or Angular.
4. **Performance**: Atomico has a comparative performance at Svelte levels, winning the third position in performance according to [webcomponents.dev](https://twitter.com/atomicojs/status/1391775734641745929) in a comparison of 55 libraries among which is React, Vue, Stencil and Lit.

### Atomico is simple and the result will always be a **standard and optimized webcomponent**.

![a1](https://raw.githubusercontent.com/atomicojs/atomico/brand/a1.svg)
![a2](https://github.com/atomicojs/atomico/blob/brand/a2.png?raw=true)

![b1](https://raw.githubusercontent.com/atomicojs/atomico/brand/b1.svg)
![b2](https://github.com/atomicojs/atomico/blob/brand/b2.png?raw=true)

![c1](https://raw.githubusercontent.com/atomicojs/atomico/brand/c1.svg)
![c2](https://github.com/atomicojs/atomico/blob/brand/c2.png?raw=true)

![d1](https://raw.githubusercontent.com/atomicojs/atomico/brand/d1.svg)
![d2](https://github.com/atomicojs/atomico/blob/brand/d2.png?raw=true)

## Guides

[![k1](https://raw.githubusercontent.com/atomicojs/atomico/brand/k1.png)](https://atomico.gitbook.io/doc/api/virtualdom)
[![k3](https://raw.githubusercontent.com/atomicojs/atomico/brand/k3.png)](https://atomico.gitbook.io/doc/api/props)
[![k2](https://raw.githubusercontent.com/atomicojs/atomico/brand/k2.png)](https://atomico.gitbook.io/doc/api/hooks)
[![k4](https://raw.githubusercontent.com/atomicojs/atomico/brand/k4.png)](https://atomico.gitbook.io/doc/guides/design-systems)

## Sponsors

[![sponsors Nicholas Frush](https://github.com/atomicojs/atomico/blob/brand/sponsors-nicholas-frush.png?raw=true)](https://github.com/cawfeecoder)
[![sponsor](https://github.com/atomicojs/atomico/blob/brand/sponsors-add.png?raw=true)](https://ko-fi.com/atomicojs)

## Summary

Atomico is a modern syntax micro-library created by Matias Trujillo alias [@UpperCod](https://github.com/uppercod), which simplifies the creation of webcomponents by replacing the need to use classes and contexts by functions and scope to support logic, attributes, properties, methods and events.
